package com.hungraim.ltc.system.service.impl;

import com.hungraim.ltc.api.SrvTaskFeignService;
import com.hungraim.ltc.util.Result;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * @author zwl
 * @ClassName SrvTaskScheduledServiceImpl
 * @description
 * @date 2023/3/1 17:05
 **/
@Service
@Slf4j
@AllArgsConstructor
public class SrvTaskScheduledServiceImpl {

    private final SrvTaskFeignService srvTaskFeignService;
    // 表示每天3点5分执行

    @Scheduled(cron = "30 10 17 * * ?")
    public void timeAllocationSrvTask() {
        log.info("timeAllocationSrvTask========start");
        Result result = srvTaskFeignService.timeAllocationSrvTask();
        log.info("timeAllocationSrvTask========end:{}",result);

    }
}
